#!/bin/sh
cd `dirname $0`

plist=org.poweractpro.NotifyUSBmain.plist
dir=/Library/LaunchDaemons/
master="/Applications/PowerAct_Pro(Master_Agent)/AgentManager.app"
mfile=/Library/LaunchDaemons/org.poweractpro.NotifyUSBmain.plist
#Check slave installation
if [ ! -e $master ]; then
	echo MasterAgentがインストールされていません。
	exit 1
fi
#Check plist
if [ -e $plist ]; then
	chmod 644 $plist
	chown root:wheel $plist
else
	echo 起動ファイルが見つかりません。
	exit
fi
#Check directory
if [ -e $dir ]; then
	cp $plist $dir
else
	echo コピー先フォルダが見つかりません。
	exit
fi
#Check file
if [ -e $mfile ]; then
	exit 0
else
	echo 起動スクリプトのコピーに失敗しました。
	exit 1
fi
exit 0
